diff --git a/ext/libav/gstav.c b/ext/libav/gstav.c
index 2a88230..f6a6303 100644
--- a/ext/libav/gstav.c
+++ b/ext/libav/gstav.c
@@ -155,6 +155,15 @@ plugin_init (GstPlugin * plugin)
   /* build global ffmpeg param/property info */
   gst_ffmpeg_cfg_init ();
 
+#ifndef HAVE_LIBAV_UNINSTALLED
+  /* Not using bundled ffmpeg - add a feature rescan dependency for system-ffmpeg */
+  gst_plugin_add_dependency_simple (plugin, NULL,
+      GIO_LIBDIR,
+      "libavcodec.so.58,"
+      "libavformat.so.58",
+      GST_PLUGIN_DEPENDENCY_FLAG_NONE);
+#endif
+
   gst_ffmpegaudenc_register (plugin);
   gst_ffmpegvidenc_register (plugin);
   gst_ffmpegauddec_register (plugin);
